| Home | Libraries | People | FAQ | More

#### assign_value

Assign each coordinate of a point the same value.

###### Synopsis

    template<typename Point>
    void assign_value(Point & p, typename detail::param< Point >::type value)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Point & |  | p | point
typename detail::param< Point >::type |  | value | value to assign

###### Header

Either

`#include <boost/geometry/geometry.hpp>`

Or

`#include <boost/geometry/arithmetic/arithmetic.hpp>`